### Method

# GLib OptionContext add_main_entries

since: 2.6

#### Declaration

    void
    g_option_context_add_main_entries (
      GOptionContext* context,
      const GOptionEntry* entries,
      const gchar* translation_domain
    )

#### Description

A convenience function which creates a main group if it doesn’t exist, adds the `entries` to it and sets the translation domain.

Available since: 2.6

#### Parameters

`entries`

  Type: An array of `GOptionEntry`

  A `NULL`-terminated array of `GOptionEntrys`.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.

`translation_domain`

  Type: `const gchar*`

  A translation domain to use for translating the `--help` output for the options in `entries` with gettext(), or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.